#!/bin/sh

unset CDPATH

utar=tar
[ -f /usr/sfw/bin/gtar ] && utar=/usr/sfw/bin/gtar

cat << EOF
Initial Setup of Cloudmark Authority for SpamAssassin Software
o Please read the README file first.
o The target directory should be /etc/mail/spamassassin -- but your SA system
	directory may be different.
o This script untars Cloudmark software into the target directory, makes
	symlinks, and installs the license file.

EOF

srcdir=$PWD

targdir=/etc/mail/spamassassin
echo "Note: full path is required for target directory."
echo "Enter target directory [$targdir]:  " 
#read utargdir
[ ! -z "$utargdir" ] && targdir="$utargdir"

expr $targdir : '^/' > /dev/null || { 
	echo "'$targdir' not a full path, bailing"; exit; }
[ ! -d "$targdir" ] && { echo "'$targdir' not a directory, bailing"; exit; }
[ ! -w "$targdir" ] && { echo "'$targdir' not writable, bailing"; exit; }

cd $targdir
[ -d cmae/cloudmark ] && { 
	echo "'$targdir' already has Cloudmark setup script run."
	echo "Please proceed to next step in the INSTALL file."
	exit; }

echo "Target directory is $targdir"

$utar xfz $srcdir/software/CMAE-*.tar.gz
mv CMAE-SA-Integration* CMAE-SA	   # rename
ln -s CMAE-SA cmae

cd cmae/cloudmark
$utar xfz $srcdir/software/SpamDNA-*.tar.gz

cd lib
ln -s ../syslib/libstdc++.so.* .

cd $targdir
cp $srcdir/software/license.cfg cmae/cloudmark/etc
cp $srcdir/software/cmcartridge-*.tar.gz  cmae/SpamDNA.tar.gz
cp $srcdir/software/cmae_client cmae/cloudmark/bin
cp -f $srcdir/updt/* cmae/
rm cmae/INSTALL.manual

[ -x /usr/bin/wget ] && wget -t 1 -T 3 -q --spider http://www.cloudmark.com/sadownload/linux64/74f51871e72a7fcb08648e0d6dd08f3a/fullinstall/

cat << EOF

Initial setup done.

Now cd to: 

	cd $targdir/cmae

and follow the instructions in the INSTALL file, beginning with Step #4.
EOF
